Zum Hauptinhalt springen
GET
/
account-info
/
v3
/
activity
/
login
Retrieve login activity
curl --request GET \
  --url https://api.hubapi.com/account-info/v3/activity/login \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "countryCode": "ie",
      "email": "person3@testdomain.com",
      "id": "5432653",
      "ipAddress": "45.56.67.89",
      "loginAt": "2022-04-01T19:36:24.303Z",
      "loginSucceeded": true,
      "regionCode": "d",
      "userAgent": "Mozilla/5.0 (Linux; Android 11; M2101K6G)",
      "userId": 876
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

after
string

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

limit
integer<int32>

The maximum number of results to display per page. Max value of limit is 200.

userId
integer<int32>

Identifier of user to retrieve activities for

Antwort

successful operation

results
object[]
erforderlich
paging
object
Last modified on April 9, 2026